API reference
Account linking
9 management API operations for account linking.
/v1/link-challengesCreate Challenge
GET/v1/link-challenges/{challenge_id}Read Challenge
POST/v1/link-challenges/{challenge_id}/attestAttest
GET/v1/link-requests/{link_id}Read Link
POST/v1/link-requests/{link_id}/ackAcknowledge
GET/v1/projects/{project_id}/service-identitiesRead Services
POST/v1/projects/{project_id}/service-identitiesPropose Service
POST/v1/projects/{project_id}/service-identities/{grant_id}/approveApprove Service
POST/v1/projects/{project_id}/service-identities/{grant_id}/revokeRevoke Service
POST/v1/link-challenges
Create Challenge
Authentication Bearer access token with audience taifa-management. Roles and local eligibility are reviewed separately from the OpenAPI bearer scheme.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
idempotency-key | header | string | Yes |
Request body
application/jsonRequiredChallengeCreate
| Field | Type | Required | Description |
|---|---|---|---|
reason | string | Yes | Validation: min length 8; max length 500 |
project_id | string | Yes | |
institution_id | string | Yes |
Responses
201Successful Response
Content type: application/jsonUnspecified response schema
No fields declared in the current specification.
Other responses
| Status | Description | Schema |
|---|---|---|
| 422 | Validation Error | HTTPValidationError |
GET/v1/link-challenges/{challenge_id}
Read Challenge
Authentication Bearer access token with audience taifa-management. Roles and local eligibility are reviewed separately from the OpenAPI bearer scheme.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
challenge_id | path | string | Yes |
Request body
This operation has no request body.
Responses
200Successful Response
Content type: application/jsonUnspecified response schema
No fields declared in the current specification.
Other responses
| Status | Description | Schema |
|---|---|---|
| 422 | Validation Error | HTTPValidationError |
POST/v1/link-challenges/{challenge_id}/attest
Attest
Authentication Bearer access token with audience taifa-management. Roles and local eligibility are reviewed separately from the OpenAPI bearer scheme.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
challenge_id | path | string | Yes | |
idempotency-key | header | string | Yes |
Request body
application/jsonRequiredAttestation
| Field | Type | Required | Description |
|---|---|---|---|
reason | string | Yes | Validation: min length 8; max length 500 |
local_account_id | string | Yes | Validation: min length 1; max length 200 |
local_auth_time | integer | Yes | |
local_auth_method | string | Yes | Validation: min length 1; max length 100 |
local_session_digest | string | Yes | Validation: pattern ^[0-9a-f]{64}$ |
central_issuer | string | Yes | |
central_subject | string | Yes | |
central_auth_time | integer | Yes | |
central_acr | taifa-mfa | taifa-phishing-resistant | Yes | |
central_sid_digest | string | Yes | Validation: pattern ^[0-9a-f]{64}$ |
Responses
201Successful Response
Content type: application/jsonUnspecified response schema
No fields declared in the current specification.
Other responses
| Status | Description | Schema |
|---|---|---|
| 422 | Validation Error | HTTPValidationError |
GET/v1/link-requests/{link_id}
Read Link
Authentication Bearer access token with audience taifa-management. Roles and local eligibility are reviewed separately from the OpenAPI bearer scheme.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
link_id | path | string | Yes |
Request body
This operation has no request body.
Responses
200Successful Response
Content type: application/jsonUnspecified response schema
No fields declared in the current specification.
Other responses
| Status | Description | Schema |
|---|---|---|
| 422 | Validation Error | HTTPValidationError |
POST/v1/link-requests/{link_id}/ack
Acknowledge
Authentication Bearer access token with audience taifa-management. Roles and local eligibility are reviewed separately from the OpenAPI bearer scheme.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
link_id | path | string | Yes | |
idempotency-key | header | string | Yes |
Request body
application/jsonRequiredBindingAcknowledgement
| Field | Type | Required | Description |
|---|---|---|---|
reason | string | Yes | Validation: min length 8; max length 500 |
entity_id | string | Yes | |
entity_version | integer | Yes | Validation: minimum 1 |
local_account_id | string | Yes | |
proof_id | string | Yes | |
approval_id | string | Yes |
Responses
200Successful Response
Content type: application/jsonUnspecified response schema
No fields declared in the current specification.
Other responses
| Status | Description | Schema |
|---|---|---|
| 422 | Validation Error | HTTPValidationError |
GET/v1/projects/{project_id}/service-identities
Read Services
Authentication Bearer access token with audience taifa-management. Roles and local eligibility are reviewed separately from the OpenAPI bearer scheme.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
project_id | path | string | Yes |
Request body
This operation has no request body.
Responses
200Successful Response
Content type: application/jsonUnspecified response schema
No fields declared in the current specification.
Other responses
| Status | Description | Schema |
|---|---|---|
| 422 | Validation Error | HTTPValidationError |
POST/v1/projects/{project_id}/service-identities
Propose Service
Authentication Bearer access token with audience taifa-management. Roles and local eligibility are reviewed separately from the OpenAPI bearer scheme.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
project_id | path | string | Yes | |
idempotency-key | header | string | Yes |
Request body
application/jsonRequiredServiceProposal
| Field | Type | Required | Description |
|---|---|---|---|
reason | string | Yes | Validation: min length 8; max length 500 |
issuer | string | Yes | |
subject | string | Yes | Validation: min length 1; max length 255 |
capability | account-link-attestor | Yes |
Responses
201Successful Response
Content type: application/jsonUnspecified response schema
No fields declared in the current specification.
Other responses
| Status | Description | Schema |
|---|---|---|
| 422 | Validation Error | HTTPValidationError |
POST/v1/projects/{project_id}/service-identities/{grant_id}/approve
Approve Service
Authentication Bearer access token with audience taifa-management. Roles and local eligibility are reviewed separately from the OpenAPI bearer scheme.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
project_id | path | string | Yes | |
grant_id | path | string | Yes | |
idempotency-key | header | string | Yes |
Request body
application/jsonRequiredMutation
| Field | Type | Required | Description |
|---|---|---|---|
reason | string | Yes | Validation: min length 8; max length 500 |
Responses
200Successful Response
Content type: application/jsonUnspecified response schema
No fields declared in the current specification.
Other responses
| Status | Description | Schema |
|---|---|---|
| 422 | Validation Error | HTTPValidationError |
POST/v1/projects/{project_id}/service-identities/{grant_id}/revoke
Revoke Service
Authentication Bearer access token with audience taifa-management. Roles and local eligibility are reviewed separately from the OpenAPI bearer scheme.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
project_id | path | string | Yes | |
grant_id | path | string | Yes | |
idempotency-key | header | string | Yes |
Request body
application/jsonRequiredMutation
| Field | Type | Required | Description |
|---|---|---|---|
reason | string | Yes | Validation: min length 8; max length 500 |
Responses
200Successful Response
Content type: application/jsonUnspecified response schema
No fields declared in the current specification.
Other responses
| Status | Description | Schema |
|---|---|---|
| 422 | Validation Error | HTTPValidationError |